<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_obj_desc_cmd_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_obj_desc_cmd_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__tivx__obj__desc__priv.html">Object Descriptor APIs</a>]</small>
</h1><!-- doxytag: class="tivx_obj_desc_cmd_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Command object descriptor. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__cmd__t.html#abbde3c76adf07e8ed051e90629298cad">base</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">base object descriptor  <a href="#abbde3c76adf07e8ed051e90629298cad"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__cmd__t.html#a686e8441d435077ae4cfa95726386b01">cmd_id</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">command to execute  <a href="#a686e8441d435077ae4cfa95726386b01"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__cmd__t.html#af41ac3ca5543b4cbc165a806c9b2ae0b">flags</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">flags associated with this command, see TIVX_CMD_FLAG_xxx  <a href="#af41ac3ca5543b4cbc165a806c9b2ae0b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__cmd__t.html#a82453559b60353f667545ed0a8aab3b3">dst_target_id</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__cmd__t.html#a5bdea19afd18cae6784668d4bc44d935">src_target_id</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uintptr_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__cmd__t.html#ad8d1a973ae86056611b3803daacde1c8">ack_event_handle</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Handle of ACK event that is posted when ACK is received MUST be valid if flags TIVX_CMD_FLAG_SEND_ACK is set.  <a href="#ad8d1a973ae86056611b3803daacde1c8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__cmd__t.html#ae974949d6a8911959979eeefadf412a3">num_obj_desc</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Number of object descriptor parameters with this command.  <a href="#ae974949d6a8911959979eeefadf412a3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint16_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__cmd__t.html#ae50e715c328dc6bf0c32f55d35e9e19b">obj_desc_id</a> [TIVX_CMD_MAX_OBJ_DESCS]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">object descriptor ID's of parameters  <a href="#ae50e715c328dc6bf0c32f55d35e9e19b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__cmd__t.html#a4cf2da3d32601bfcea792221785bf6b8">cmd_status</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">command execution status  <a href="#a4cf2da3d32601bfcea792221785bf6b8"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="abbde3c76adf07e8ed051e90629298cad"></a><!-- doxytag: member="tivx_obj_desc_cmd_t::base" ref="abbde3c76adf07e8ed051e90629298cad" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a> <a class="el" href="structtivx__obj__desc__cmd__t.html#abbde3c76adf07e8ed051e90629298cad">tivx_obj_desc_cmd_t::base</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>base object descriptor </p>

</div>
</div>
<a class="anchor" id="a686e8441d435077ae4cfa95726386b01"></a><!-- doxytag: member="tivx_obj_desc_cmd_t::cmd_id" ref="a686e8441d435077ae4cfa95726386b01" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__cmd__t.html#a686e8441d435077ae4cfa95726386b01">tivx_obj_desc_cmd_t::cmd_id</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>command to execute </p>

</div>
</div>
<a class="anchor" id="af41ac3ca5543b4cbc165a806c9b2ae0b"></a><!-- doxytag: member="tivx_obj_desc_cmd_t::flags" ref="af41ac3ca5543b4cbc165a806c9b2ae0b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__cmd__t.html#af41ac3ca5543b4cbc165a806c9b2ae0b">tivx_obj_desc_cmd_t::flags</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>flags associated with this command, see TIVX_CMD_FLAG_xxx </p>

</div>
</div>
<a class="anchor" id="a82453559b60353f667545ed0a8aab3b3"></a><!-- doxytag: member="tivx_obj_desc_cmd_t::dst_target_id" ref="a82453559b60353f667545ed0a8aab3b3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__cmd__t.html#a82453559b60353f667545ed0a8aab3b3">tivx_obj_desc_cmd_t::dst_target_id</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>target for which this command is directed </p>

</div>
</div>
<a class="anchor" id="a5bdea19afd18cae6784668d4bc44d935"></a><!-- doxytag: member="tivx_obj_desc_cmd_t::src_target_id" ref="a5bdea19afd18cae6784668d4bc44d935" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__cmd__t.html#a5bdea19afd18cae6784668d4bc44d935">tivx_obj_desc_cmd_t::src_target_id</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>source target ID to which ACK should be sent if ACK flag is not set then this field is not used and can be set to TIVX_TARGET_ID_INVALID </p>

</div>
</div>
<a class="anchor" id="ad8d1a973ae86056611b3803daacde1c8"></a><!-- doxytag: member="tivx_obj_desc_cmd_t::ack_event_handle" ref="ad8d1a973ae86056611b3803daacde1c8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uintptr_t <a class="el" href="structtivx__obj__desc__cmd__t.html#ad8d1a973ae86056611b3803daacde1c8">tivx_obj_desc_cmd_t::ack_event_handle</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Handle of ACK event that is posted when ACK is received MUST be valid if flags TIVX_CMD_FLAG_SEND_ACK is set. </p>

</div>
</div>
<a class="anchor" id="ae974949d6a8911959979eeefadf412a3"></a><!-- doxytag: member="tivx_obj_desc_cmd_t::num_obj_desc" ref="ae974949d6a8911959979eeefadf412a3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__cmd__t.html#ae974949d6a8911959979eeefadf412a3">tivx_obj_desc_cmd_t::num_obj_desc</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Number of object descriptor parameters with this command. </p>

</div>
</div>
<a class="anchor" id="ae50e715c328dc6bf0c32f55d35e9e19b"></a><!-- doxytag: member="tivx_obj_desc_cmd_t::obj_desc_id" ref="ae50e715c328dc6bf0c32f55d35e9e19b" args="[TIVX_CMD_MAX_OBJ_DESCS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t <a class="el" href="structtivx__obj__desc__cmd__t.html#ae50e715c328dc6bf0c32f55d35e9e19b">tivx_obj_desc_cmd_t::obj_desc_id</a>[TIVX_CMD_MAX_OBJ_DESCS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>object descriptor ID's of parameters </p>

</div>
</div>
<a class="anchor" id="a4cf2da3d32601bfcea792221785bf6b8"></a><!-- doxytag: member="tivx_obj_desc_cmd_t::cmd_status" ref="a4cf2da3d32601bfcea792221785bf6b8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__cmd__t.html#a4cf2da3d32601bfcea792221785bf6b8">tivx_obj_desc_cmd_t::cmd_status</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>command execution status </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
